Subject: bug#55810: 28.1; No "really edit the buffer?" prompt when editing a changed file over Tramp

From: Jim Porter <[email-masked]>
Date: Sun, 5 Jun 2022 13:25:18 -0700

On 6/5/2022 1:04 PM, Lars Ingebrigtsen wrote:
> I can reproduce this in Emacs 28.1, but not on the emacs-28 branch
> (i.e., what will become Emacs 28.2).  Would it be possible for you to
> test with that branch?

You're right, it looks like this is also fixed on the emacs-28 branch. 
I'll try to bisect this (if only so that I write some defadvice to fix 
it temporarily for 28.1) and report back if I find anything useful.